Creates an option for a custom field.

POSThttps://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}/selectionoptions
POST https://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}/selectionoptions

Creates a selection option for the specified custom field definition and places it at the requested order.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

customFieldDefinitionIdstringRequired
format: uuid

The id of the custom field definition to add a selection option to.

Request body Required

The model describing the selection option to create.

application/json

valuestringRequired
minLength: 1 maxLength: 255

The selection value which can be used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberRequired
format: double

The order of the custom field selection option.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the custom field selection option.

valuestringRequired
minLength: 1

The selection value which can be later used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberOptional
format: double

The order of the custom field selection option.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation